[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStringList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Collection of strings

## Declaration

Source position: objects.pp line 539

`type TStringList = object(TObject)`
`constructor Load();` |  | Load stringlist from stream.
`destructor Done; virtual;` |  | Clean up the instance
`function Get();` |  | Return a string by key name
`end;`

## Inheritance

`TStringList` |  | Collection of strings
`TObject` |  | Basis of all objects

## Description

A TStringList object can be used to read a collection of strings stored in a stream. If you register this object with the RegisterType function, you cannot register the TStrListMaker object.